
document.addEventListener('DOMContentLoaded', function () {
    /***** Editable table *****/
    if (jQuery('#shippingTableRates').length) {
        function rowEmpty() {
            var result = true;
            jQuery('#shippingTableRates .rate-row').each(function (index) {
                jQuery(jQuery(this).find('.field')).each(function (index) {
                    if (jQuery(this).val().trim() == '') {
                        result = false;
                    }
                });
            });

            return result;
        }

        var i = jQuery('#shippingTableRates').data('table-count');
        var option_name = jQuery('#shippingTableRates').data('option-name');
        var delete_text = jQuery('#shippingTableRates').data('delete-text');

        if (jQuery('#shippingTableRates .rate-row').length == 0 ) {
            jQuery('#shippingTableRates .rates-header ').hide();
        }

        jQuery(document).on('click', '#shippingTableRates .add-rate',
            function () {
                if (rowEmpty() == true) {
                    html = '<tr class="rate-row rate-row-' + i + '">';
                    html += '<td><input class="field" name="' + option_name + '[' + i + '][from]" type="text" min="1" step="0.01" /></td>';
                    html += '<td><input class="field" name="' + option_name + '[' + i + '][to]" type="text" min="1" step="0.01" /></td>';
                    html += '<td><input class="field" name="' + option_name + '[' + i + '][value]" type="text" min="1" step="0.01" /></td>';
                    html += '<td><span style="cursor: pointer" class="dashicons dashicons-dismiss delete-rate" data-id="' + i + '" ></span></td>';
                    html += '</tr>';
                    jQuery(this).next().append(html);
                    jQuery('#shippingTableRates .rate-row-' + i).find('input:first').focus();

                    if (jQuery('#shippingTableRates .rate-row').length > 0 ) {
                        jQuery('#shippingTableRates .rates-header').show();
                    }

                    i++;
                }
            }
        );
        jQuery(document).on('click', '#shippingTableRates .delete-rate',
            function () {
                if (confirm(delete_text)) {
                    jQuery('#shippingTableRates .rate-row-' + jQuery(this).data('id')).remove();

                    if (jQuery('#shippingTableRates .rate-row').length == 0 ) {
                        jQuery('#shippingTableRates .rates-header ').hide();
                    }
                }
            }
        );
    }
});
